/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
import java.io.Serializable;

public class Driver
{
   public static void main(String[] args) throws Exception
   {
      System.out.println("--- POJO ---");
      POJO pojo = new POJO();
      pojo.stuff = "hello world";
      java.rmi.MarshalledObject mo = new java.rmi.MarshalledObject(pojo);
      pojo = (POJO)mo.get();
      System.out.println("deserialized pojo.stuff: " + pojo.stuff);

      System.out.println("--- POJO2 ---");
      POJO2 pojo2 = new POJO2();
      pojo2.stuff2 = "hello world";
      java.rmi.MarshalledObject mo2 = new java.rmi.MarshalledObject(pojo2);
      pojo2 = (POJO2)mo2.get();
      System.out.println("deserialized pojo2.stuff2: " + pojo2.stuff2);

      System.out.println("--- POJO3 ---");
      POJO3 pojo3 = new POJO3();
      Serializable s = (Serializable)pojo3;
      System.out.println("pojo3 introduction expression worked");

      System.out.println("--- POJO4 ---");
      POJO4 pojo4 = new POJO4();
      s = (Serializable)pojo4;
      System.out.println("pojo4 introduction expression worked");
      
   }
}
